import request from '@/utils/request'

// 商家列表
export function businessList(query) {
  return request({
    url: '/system/bussinessInfo/selectBussinessInfoByPagination',
    method: 'get',
    params: query
  })
}

/** 根据id查询商家信息详情**/
export function queryDetailById(id) {
  return request({
    url: '/system/bussinessInfo/detail/' + id,
    method: 'get'
  })
}
// 查询商家活动
export function busActivityList(query) {
  return request({
    url: '/system/activity/selectActivityByPagination',
    method: 'get',
    params: query
  })
}
// 优惠券列表
export function couponList(query) {
  return request({
    url: '/system/coupon/selectCouponInfoUserByPagination',
    method: 'get',
    params: query
  })
}

// 已领取优惠券列表
export function receivedcoupon(query) {
  return request({
    url: '/system/coupon/selectUserIsUseByPagination',
    method: 'get',
    params: query,
	Headers: {
		isToken: true
	}
  })
}
// 领取优惠券
export function claimcoupons(id) {
  return request({
    url: '/system/coupon/receiveCoupon/' + id,
    method: 'get'
  })
}
// 会员折扣
export function memberdiscount(query) {
  return request({
    url: '/sysUserManage/selectUserDiscount',
    method: 'get',
    params: query,
	Headers: {
		isToken: true
	}
  })
}


// 下单
export function addorder(data) {
  return request({
    url: '/system/order/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 支付
export function pay(data) {
  return request({
    url: '/wxPay/pay',
    method: 'post',
	data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
	  isToken: true
    }
  })
}

// 修改订单状态
export function updateorderstatus(data) {
  return request({
    url: '/wxPay/updateOrderStatus',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}