import request from '@/utils/request'
//请求接口路径
const apis = {
  getUserInfo: "/suituser/getInfo",
  login: "/wxMiniApp/validLogin",
  phoneLogin: "/wxMiniApp/phoneLogin",
};


export const getUserInfo = (data) => {
  return request({
    url: apis.getUserInfo,
    method: "get",
  });
};

// 查询园区公告
export const announcementList = (data) => {
  return request({
    url: '/system/announcement/selectAnnouncementByPagination',
    method: 'get',
    params: data
  })
}

// 第一次登录接口
export const login = (data) => {
  return request({
    baseURL: "BASE_API",
    url: apis.login,
    method: "get",
    needToken: false,
    data,
  });
};
// 手机号登录接口
export const phoneLogin = (data) => {
  return request({
    baseURL: "BASE_API",
    method: "get",
    url: apis.phoneLogin,
    needToken: false,
    data,
	
  });
};

// 根据字典类型查询字典数据信息
export function getDicts(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
//获取公共文化
export function getPublicActivity(query){
	return request({
	  url: '/system/activity/getPublicActivity',
	  method: 'get'
	})
}
// 获取个人信息
export function getInfo(id) {
  return request({
    url: '/sysUserManage/memberDetail/' + id,
    method: 'get'
  })
}
